This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 445346 - gnome-screensaver misses key pressed
gnome-screensaver misses key pressed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 07:48 EDT by Jonathan Kamens
Modified: 2015-01-14 18:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 11:42:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2008-05-06 07:48:59 EDT
In the Good Old Days, when my screen was locked, I could walk up to the
computer, hit a modifier key (e.g., Shift, Ctrl) to wake it up, quickly type my
entire password, and the screen would eventually be unlocked, even if it took
gnome-screensaver a few seconds to catch up with me.

Nowadays, with everything current from Rawhide, when I hit a modifier key and
then type my password quickly, gnome-screensaver misses some of the keypresses
and then tells me that I typed the password wrong.

This has been broken for at least a few months.

I don't know whether it's gnome-screensaver, the X server, or whatever that is
to blame.
Comment 1 Bug Zapper 2008-05-14 06:43:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 20:38:31 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jonathan Kamens 2009-06-10 11:42:42 EDT
I believe this has been working for quite a while now.

Note You need to log in before you can comment on or make changes to this bug.